import { AccessLevelList } from '../../shared/access-level';
import { PolicyStatement } from '../../shared';
/**
 * Statement provider for service [verified-access](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsverifiedaccess.html).
 *
 * @param sid [SID](https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_policies_elements_sid.html) of the statement
 */
export declare class VerifiedAccess extends PolicyStatement {
    servicePrefix: string;
    /**
     * Statement provider for service [verified-access](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsverifiedaccess.html).
     *
     * @param sid [SID](https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_policies_elements_sid.html) of the statement
     */
    constructor(sid?: string);
    /**
     * Grants permission to create Verified Access Instance
     *
     * Access Level: Write
     *
     * https://docs.aws.amazon.com/verified-access/latest/ug/security_iam_id-based-policy-examples.html#security_iam_id-based-policy-examples-create-instance
     */
    toAllowVerifiedAccess(): this;
    protected accessLevelList: AccessLevelList;
}
